%define name	rpmcheck
%define version	0.0.2368
%define release	%mkrel 11

%define camlzip_inc +zip

Summary:	A tool to check consistency of rpm repositories
Name:		%name
Version:	%version
Release:	%release
License:	GPL
Group:		System/Packaging
# No website yet
URL:		http://www.edos-project.org/xwiki/bin/Main/Wp2
# There is no released version yet. Sources are from the svn depot at
# https://protactinium.pps.jussieu.fr:12345/svn/edos/users/vouillon
Source:		%name-%version.tar.bz2
Patch0:     rpmcheck-0.0.2368-handle-suggests.patch
Patch1:     rpmcheck-0.0.2368-no-doc-conflict.patch
Patch2:     rpmcheck-0.0.2368-allow-uncompressed-hdlists.patch
BuildRequires:	ocaml
BuildRequires:	ocaml-camlzip-devel

%description
rpmcheck is a tool to check consistency of Mandriva Linux rpm repositories
(that is, of hdlist files.)

%prep
%setup -q
%patch0 -p 1
%patch1 -p 1
%patch2 -p 1

%build
%__make rpmcheck \
    COMPFLAGS="-I %{camlzip_inc}" \
    OPTLINKFLAGS="unix.cmxa str.cmxa zip.cmxa -I %{camlzip_inc}"



%install
%__install -d %buildroot%_bindir
%__install -m 0755 rpmcheck %buildroot%_bindir

%files
%doc COPYING README
%_bindir/%name


%changelog
* Fri Oct 18 2013 umeabot <umeabot> 0.0.2368-11.mga4
+ Revision: 521426
- Mageia 4 Mass Rebuild

* Tue Jan 22 2013 fwang <fwang> 0.0.2368-10.mga3
+ Revision: 390810
- update rpm group

* Mon Jan 14 2013 umeabot <umeabot> 0.0.2368-9.mga3
+ Revision: 380458
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 22 2012 ennael <ennael> 0.0.2368-8.mga2
+ Revision: 199918
- fix camlzip_inc
- initial import
- imported package rpmcheck


* Wed Feb 04 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.0.2368-8mdv2009.1
+ Revision: 337595
- keep bash completion in its own package

* Fri Jan 09 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.0.2368-7mdv2009.1
+ Revision: 327422
- add support for compressed hdlists (thanks pixel)
- adapt to new ocaml policy, while retaining backportability

* Sat Sep 20 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.0.2368-6mdv2009.0
+ Revision: 286180
- bash completion

* Thu Sep 04 2008 Pixel <pixel@mandriva.com> 0.0.2368-5mdv2009.0
+ Revision: 280802
- allow conflicts on doc files (#42896)

* Sat Aug 02 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.0.2368-4mdv2009.0
+ Revision: 260320
- rebuild

* Mon Jul 28 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.0.2368-3mdv2009.0
+ Revision: 251476
- rebuild

* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 0.0.2368-1mdv2008.1
+ Revision: 140747
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Aug 22 2007 Pixel <pixel@mandriva.com> 0.0.2368-1mdv2008.0
+ Revision: 69051
- new svn snapshot
- add a patch to handle (discard) suggests


* Sat Oct 21 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.0.2253-1mdv2007.0
+ Revision: 71577
+ Status: not released
- New version of rpmcheck
- Import rpmcheck

* Wed Feb 15 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.0.751-1mdk
- 0.0.751

* Thu Dec 08 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.0.441-1mdk
- 0.0.441

* Wed Dec 07 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.0.439-1mdk
- Initial Mandriva package

